Loading...
Searching...
No Matches
websocketpp::frame::basic_header Struct Reference

The constant size component of a WebSocket frame header. More...

`#include <frame.hpp>`

## Public Member Functions

| basic_header (uint8_t p0, uint8_t p1)
| basic_header (opcode::value op, uint64_t size, bool fin, bool mask, bool rsv1=false, bool rsv2=false, bool rsv3=false)

## Public Attributes

uint8_t | b0
uint8_t | b1

## Detailed Description

The constant size component of a WebSocket frame header.

Definition at line 189 of file frame.hpp.

## Constructor & Destructor Documentation

## basic_header() [1/3]

websocketpp::frame::basic_header::basic_header | ( |  | ) |

inline

Definition at line 190 of file frame.hpp.

## basic_header() [2/3]

websocketpp::frame::basic_header::basic_header | ( | uint8_t | p0,
|  | uint8_t | p1 )

inline

Definition at line 192 of file frame.hpp.

## basic_header() [3/3]

websocketpp::frame::basic_header::basic_header | ( | opcode::value | op,
|  | uint64_t | size,
|  | bool | fin,
|  | bool | mask,
|  | bool | rsv1 = false,
|  | bool | rsv2 = false,
|  | bool | rsv3 = false )

inline

Definition at line 194 of file frame.hpp.

## Member Data Documentation

## b0

uint8_t websocketpp::frame::basic_header::b0

Definition at line 230 of file frame.hpp.

## b1

uint8_t websocketpp::frame::basic_header::b1

Definition at line 231 of file frame.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/frame.hpp